Subject: Re: cygwin.dll problem with multiple users
From: [email-masked] (Ed Huott)

18 Mar 1997 22:48:48 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: Shankar Ramamoorthy <[email-masked]>
Original-Cc: [email-masked]
In-reply-to: Your message of "Mon, 17 Mar 1997 20:24:32 PST."
             <[email-masked]> 
Original-Sender: [email-masked]

In message <[email-masked]>, Shankar Ramamoorthy writes:
>[I've looked in the FAQ and mail archives for a mention of this
> but did not see anything. If it is there, just point me at it.
>]
>
>What follows is w.r.t Windows NT 4.0 and Cygwin Beta 17.1.
>
>Can two different users simultaneously use programs linked against
>cygwin.dll? It doesn't seem to work for me.
>
>For example: I log is as administrator and start bash.
>Then telnet in as another user. When I try to start bash within the
>telnet session I get:
>  (unknown) shared_init:
>CreateFileMappingA                                       
>  cygwin: terminating
>Now I exit the bash session started as administrator. I am now
>able to start bash in the telnet session.
>

I can confirm that this identical problem also exists using NT 3.51
and Cygwin Beta 17.1.  I don't recall seeing it in the FAQ either.
It's possible it's been posted to this list before (though I've been
following along for several months and don't recall it, specifically.)

It seems as though once the cygwin.dll is loaded by a particular
client process, any other client process running in a different
security context will drive this bug when it goes to initialize.

<ED>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".